## ros-indigo-iai-common-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(iai_common_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-iai-common-msgs (0.0.5-3trusty) trusty; urgency=high

  * Added json_prolog_msgs to metapackage.
  * Person msgs part of iai_common_msgs
  * Contributors: Georg Bartels, Jan Winkler

 -- AI Robotics <ai-robotics@cs.uni-bremen.de>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-iai-common-msgs (0.0.4-3trusty) trusty; urgency=high

  * Added iai_wsg_50_msgs to package.xml of iai_common_msgs.
  * Contributors: Georg Bartels

 -- AI Robotics <ai-robotics@cs.uni-bremen.de>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-iai-common-msgs (0.0.3-3trusty) trusty; urgency=high

  * Renamed iai_pancake_perception_action into iai_robosherlock_actions.
  * Contributors: Georg Bartels

 -- AI Robotics <ai-robotics@cs.uni-bremen.de>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-iai-common-msgs (0.0.1-3trusty) trusty; urgency=high

  * Added all message packages in iai_common_msgs as dependencies
  * Corrected version numbers
  * Added package descriptions and fixed licenses where applicable
  * Removed old msgs definitions and references, plus the mln_robosherlock_msgs dependency
  * Corrected some information in package.xml and CMakeLists.txt as reported by catkin_lint
  * catkinezed pancake perception added metapackage
  * Contributors: Ferenc Balint-Benczedi, Jan Winkler

 -- AI Robotics <ai-robotics@cs.uni-bremen.de>  Thu, 15 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-iai-common-msgs
Section: misc
Priority: extra
Maintainer: AI Robotics <ai-robotics@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-iai-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-data-vis-msgs, ros-indigo-designator-integration-msgs, ros-indigo-dna-extraction-msgs, ros-indigo-grasp-stability-msgs, ros-indigo-iai-content-msgs, ros-indigo-iai-control-msgs, ros-indigo-iai-kinematics-msgs, ros-indigo-iai-robosherlock-actions, ros-indigo-iai-urdf-msgs, ros-indigo-iai-wsg-50-msgs, ros-indigo-json-prolog-msgs, ros-indigo-mln-robosherlock-msgs, ros-indigo-person-msgs, ros-indigo-planning-msgs, ros-indigo-saphari-msgs, ros-indigo-scanning-table-msgs, ros-indigo-sherlock-sim-msgs
Description: Message definitions created and used by the Institute for Artificial Intelligence research group at the University of Bremen

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-iai-common-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
